pcl::NdCentroidFunctor< PointT, Scalar > Struct Template Reference

Helper functor structure for n-D centroid estimation. More...

`#include <pcl/common/centroid.h>`

## Public Types

using | Pod = typename traits::POD< PointT >::type

## Public Member Functions

| NdCentroidFunctor (const PointT &p, Eigen::Matrix< Scalar, Eigen::Dynamic, 1 > &centroid)
template<typename Key >
void | operator() ()

## Detailed Description

### template<typename PointT, typename Scalar>
struct pcl::NdCentroidFunctor< PointT, Scalar >

Helper functor structure for n-D centroid estimation.

Definition at line 842 of file centroid.h.

## Member Typedef Documentation

## Pod

template<typename PointT , typename Scalar >

using pcl::NdCentroidFunctor< PointT, Scalar >::Pod = typename traits::POD<PointT>::type

Definition at line 844 of file centroid.h.

## Constructor & Destructor Documentation

## NdCentroidFunctor()

template<typename PointT , typename Scalar >

pcl::NdCentroidFunctor< PointT, Scalar >::NdCentroidFunctor | ( | const PointT & | p,
|  | Eigen::Matrix< Scalar, Eigen::Dynamic, 1 > & | centroid
| ) |  |

inline

Definition at line 846 of file centroid.h.

## Member Function Documentation

## operator()()

template<typename PointT , typename Scalar >
template<typename Key >

void pcl::NdCentroidFunctor< PointT, Scalar >::operator() | ( |  | ) |

inline

Definition at line 851 of file centroid.h.

The documentation for this struct was generated from the following file:

- pcl/common/centroid.h